Bug 59989 - Javascript menues fail in bugzilla on "document.layers has no properties"
Javascript menues fail in bugzilla on "document.layers has no properties"
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
http://demo.skandiabanken.se/SKBSecur...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-18 08:01 EST by Göran Uddeborg
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-18 08:01:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2002-02-18 08:01:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020206

Description of problem:
When trying to use mozilla with my internet bank, I get an error message
whenever I move the mouse over the menues.  Starting the javascript window, it
gives an error message saying "document.layers has no properties", referring to
line 1217 of
http://demo.skandiabanken.se/SKBSecure/control.asp?stamp=2002%2D02%2D18+12%3A35%3A35

Version-Release number of selected component
This happens with all of the mozilla RPMs I've tried, up to and including
0.9.8-2 from rawhide.

How reproducible:
Always

Steps to Reproduce:
1.Point mozilla at http://demo.skandiabanken.se/SKBSecure/index.asp
2.Click on "Logga in" down the bottom of the page.  (Means "login".)
3.Move the mouse over the menues at the top of the resulting page.

Actual Results:  An error message window saying

  Tyvdrr uppstod ett tillfdlligt fel med toppmenyn.
  Prova att ladda om sidan.

Don't get scared by the Swedish!  :-)  It's a message from a function
"errHandler" which has been assigned to the variable(?) window.onerror in the
beginning of the script.  What the text says is "Unfortunately there was a
temporary error in the top menu.  Try reloading the page." And the javascript
window adds an error as described above. (Of course, actually reloading the page
makes no difference.)

Expected Results:  I would like to select entries in the menu.

Additional info:

This works in old netscape 4.77.

I've never learned javascript.  "document.layers" appears to be used as an array
of some kind.  I don't see anything which resembles a declaration.  But maybe
this is something which is assumed to be predefined, I can't say.

I don't know if this is an error in mozilla which I should report upstream, an
error in the script which I should report downstream (to the bank), or an error
in Red Hats packaging.
Comment 1 Christopher Blizzard 2002-02-19 07:50:52 EST
Mozilla doesn't support document.layers and won't any time soon.

Note You need to log in before you can comment on or make changes to this bug.